Upgrade from 1.9.17 to 1.9.18 (postgresql)

Moderators: Amaradana, TurboPT, TL Developers

Upgrade from 1.9.17 to 1.9.18 (postgresql)

Postby gsac » Fri Oct 19, 2018 4:15 pm

Hello,

I'm upgrading from 1.9.17 to 1.9.18 using postgresql.
I'm hitting an issue in the database upgrade on this:

Code: Select all
ALTER TABLE req_coverage ADD COLUMN req_version_id INTEGER NOT NULL;
ALTER TABLE req_coverage ADD COLUMN tcversion_id INTEGER NOT NULL;


I'm not a DB expert but I think that if you want to alter a table and add a new column "not null", you need to set a default value.

Is it safe to have a default set to '0' for the moment (I'm still doing proof of concept with TestLink so no production data on it yet)?
Or can it be deduced from another table (I guess so)...


Thanks for your help!
gsac
TestLink user
 
Posts: 2
Joined: Thu Oct 04, 2018 6:50 pm

Re: Upgrade from 1.9.17 to 1.9.18 (postgresql)

Postby gsac » Mon Oct 22, 2018 6:52 am

FYI, I have created a bug for this: http://mantis.testlink.org/view.php?id=8421
gsac
TestLink user
 
Posts: 2
Joined: Thu Oct 04, 2018 6:50 pm


Return to Upgrade



Who is online

Users browsing this forum: No registered users and 1 guest